package main

import (
	"log"
	"os"

	"github.com/CGSG-2021-AE4/modem-test/api/modem"
)

func main() {
	log.Println("CGSG forever!!!")
	if err := mainE(); err != nil {
		log.Println("MAIN finished with error:", err.Error())
	}
	log.Println("END")
}

func mainE() error {
	m := modem.New(log.New(os.Stdout, "modem:", log.LstdFlags))
	log.Println("||||||||||||||||| INIT |||||||||||||||")
	if err := m.Init(); err != nil {
		return err
	}
	log.Println("||||||||||||||||| GET INFO |||||||||||||||||")
	log.Println(m.GetInfo())
	return nil
	// ports, err := serial.GetPortsList()
	// if err != nil {
	// 	return err
	// }
	// log.Println(ports)
	// return nil
}
